Thumbnail expiration doesn't take into account size of new tab page grid
This expiration filter keeps the first  thumbnails, but if the new tab page has, say,  rows and  columns, the last  thumbnails are frequently removed.


